import request from '@/utils/request'

// 查询润滑标准信息列表
export function listLubeStandard(query) {
  return request({
    url: '/dms/lubeStandard/list',
    method: 'get',
    params: query
  })
}

// 查询润滑标准信息详细
export function getLubeStandard(lubeStandardId) {
  return request({
    url: '/dms/lubeStandard/' + lubeStandardId,
    method: 'get'
  })
}

// 新增润滑标准信息
export function addLubeStandard(data) {
  return request({
    url: '/dms/lubeStandard',
    method: 'post',
    data: data
  })
}

// 修改润滑标准信息
export function updateLubeStandard(data) {
  return request({
    url: '/dms/lubeStandard',
    method: 'put',
    data: data
  })
}

// 删除润滑标准信息
export function delLubeStandard(lubeStandardId) {
  return request({
    url: '/dms/lubeStandard/' + lubeStandardId,
    method: 'delete'
  })
}
